Op deze website gebruiken we cookies om content en advertenties te personaliseren, om functies voor social media te bieden en om ons websiteverkeer te analyseren. Ook delen we informatie over uw gebruik van onze site met onze partners voor social media, adverteren en analyse. Deze partners kunnen deze gegevens combineren met andere informatie die u aan ze heeft verstrekt of die ze hebben verzameld op basis van uw gebruik van hun services. Meer informatie.

Akkoord

Vraag & Antwoord

OS Linux

GCC 3.2: Ik begin die troep zat te raken

Anoniem
None
8 antwoorden
  • Het is nu al de zoveelste keer dat mijn software ergens niet met GCC 3.2 compiled.
    Ook op mijn eigen pc is dit een RAMP.
    Kan iemand mij nu eindelijk eens vertellen wat er veranderd is aan deze dwarsliggende compiler.
    Niemand heeft mij tot nu toe kunnen vertellen wat er aan de hand is, zelfs op de site van GCC zelf notabene staat niets.
    Ik heb verder nog nooit probs gehad met GCC maar ik denk er nu hard overna om IntelCC te gaan gebruiken.
    Het is natuurlijk goed *$%#$%* om steeds allerlij toeren uit te moeten halen als ze het daar bij GCC weer eens in hun kop halen om de zooi te gaan wijzigen, zo kan ik wel aan de gang blijven.

    Maar goed, even de feiten:
    Ik gebruik:
    gcc -c file.cpp -Iinclude-path << compilen
    gcc -o target file.o file2.o file3.o -lname -Lpath << linken

    Bij het linken gaat het fout, ik krijg stapels undefined references.
    Linken zonder dynamic-libs gaat het wel goed.
    Er zijn nog veel meer error, allemaal over onjuiste C syntaxis, ik ben mij echter van geen kwaad bewust.
    Alles werkt gewoon perfects met GCC 2.95.x tot 3.1

    Ik hoop dat iemand mij eindelijk eens kan helpen want het is erg belangrijk dan mijn software werkt met GCC 3.2

    Bedankt,
    Barry
  • Ik compile ook bijna alles zelf from spource maar geen probs gehad met GCC 3.2 hoor.
  • Nee ik ook niet, maar alleen met m'n eigen software heb ik probs
  • Zijn de libraries die je gebruikt ook wel met GCC 3.2 gecompileerd? Ik krijg dan ook vaak van die fouten als ze bijvoorbeeld met 2.95 zijn gecompileerd.
  • Ja, kan.
    Maar ik krijg deze shit echt op elk systeem, ook al is alles gecompiled met gcc 3.2
  • ik heb net zoveel problemen gehad met GCC 3.2 ..
    ik vindt het echt een waardeloze compiler. oudere versies waren beter..
    En volgens mij heb ik deze klachten ook al vaker gehoord…phaas, misschien moet je wat fora af gaan struinen.. je bent zeker niet de enige
  • [quote:d5f3b51c69="phaas"]Het is nu al de zoveelste keer dat mijn software ergens niet met GCC 3.2 compiled. [/quote:d5f3b51c69] Bedoel je alleen gcc 3.2 of ook gcc 3.2.1?
  • Informeer eens bij de mailinglists van KDE, mogelijk kennen ze daar (als QT-gebruikers :) het probleem en weten ze een oplossing voor je.
    Kijk even bij http://www.kde.org/mailinglists.html voor de juist lijst..

    Max

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.